Skip to main content
DELETE
/
api
/
v1
/
deployments
/
{deploymentId}
/
ticketing
/
v2
/
tickets
/
{externalTicketId}
Unlink a Jira ticket
curl --request DELETE \
  --url https://semgrep.dev/api/v1/deployments/{deploymentId}/ticketing/v2/tickets/{externalTicketId} \
  --header 'Authorization: Bearer <token>'
{
  "issueIds": [
    "18759",
    "18760"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.semgrep.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string
required

Deployment ID. Can be found at /deployments, or in your Settings in the web UI.

Example:

123

externalTicketId
integer<uint32>
required

The ID of the external ticket

Example:

456

Response

200 - application/json

OK

issueIds
string[]

List of issue IDs unlinked from ticket

Example:
["18759", "18760"]